#!/bin/bash
APPS="nucentral edenwall-administration-suite nucentral-edenwall nulog3 nudpi nucentral-admin nucentral-multisite nupki ew4-diag nnd"

set -x
set -e

# makeall.sh is not compatible with -jN option: remove it
if [ -n "$MAKEFLAGS" ]; then
    export MAKEFLAGS=$(echo "$MAKEFLAGS"|sed 's/-j[0-9]\+//g')
fi

for app in $APPS; do
    (cd $app && make "$@") || exit $?
done
if [ $# -eq 0 ]; then
    make -C nuface3/ nufaceqt
    make -C nuconf/ lrelease nuconf/client/system/system.rcc
else
    make -C nuface3/ "$@"
    make -C nuconf/ "$@"
fi
