#!/usr/bin/env python

# test command: python setup.py install --no-compile --root=./debian/nucentral

from distutils.core import setup
from distutils.command.install import INSTALL_SCHEMES
from nucentral_admin.version import VERSION, WEBSITE

INSTALL_SCHEMES['unix_prefix']['scripts'] = '$base/bin'

setup(name="NuCentral-Admin",
    version=VERSION,
    description="NuCentral administration tool",
    author="INL",
    url=WEBSITE,
    author_email="chifflier@inl.fr",
    packages=['nucentral_admin',
             ],
    scripts=['nucentral-admin']
)

