# -*- coding: utf-8 -*-

"""
Copyright (C) 2008-2011 EdenWall Technologies
Written by Romain Bignon <romain AT inl.fr>

This file is part of NuFirewall. 
 
 NuFirewall is free software: you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation, version 3 of the License. 
 
 NuFirewall is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with NuFirewall.  If not, see <http://www.gnu.org/licenses/>

$Id: __init__.py 2897 2008-11-03 10:29:57Z lds $
"""

from nucentral.common import tr
from nudpi.client.qt.views.table import TableFragmentView
from nudpi.client.qt.views.line import LineFragmentView
from nudpi.client.qt.views.error import ErrorFragmentView
from nudpi.client.qt.views.packetinfo import PacketInfoFragmentView
from nudpi.client.qt.views.stats import StatsFragmentView
#from nudpi.client.qt.views.lineplot_fragment_view import LinePlotFragmentView
from nudpi.client.qt.views.tree import TreeFragmentView

from nudpi.client.qt.views.graphics_view import GraphicsView

views_list = {'pie' :        GraphicsView,
              'histo' :      GraphicsView,
              'concentric_pie': GraphicsView,
              'treeview' : TreeFragmentView,
              'table' :      TableFragmentView,
              'line':        LineFragmentView,
#              'time': LinePlotFragmentView,
              'error':       ErrorFragmentView,
              'packetinfo':  PacketInfoFragmentView,
              'stats':       StatsFragmentView,
              'static_line' : LineFragmentView
             }
views_list_label = {'histo'   :   tr("Histogram view"),
                    'pie'    :   tr("Pie view"),
                    'table'   :   tr("Table view"),
                    'concentric_pie': tr("Concentric pie view"),
                    'treeview' : tr("Tree view")
                   }
