
"""
Copyright (C) 2009-2011 EdenWall Technologies

This file is part of NuFirewall. 
 
 NuFirewall is free software: you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation, version 3 of the License. 
 
 NuFirewall is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with NuFirewall.  If not, see <http://www.gnu.org/licenses/>
"""

from PyQt4.QtGui import QGraphicsEllipseItem
from item import Item

class PieItem(Item, QGraphicsEllipseItem):

#    PIE = 0
#    C_PIE = 1

    def __init__(self, rect, type):
        QGraphicsEllipseItem.__init__(self, rect)
        Item.__init__(self, rect, type)

        self._spanAngle = None
        self._startAngle = None

    def setStartAngle(self, angle):
        self._startAngle = angle
        QGraphicsEllipseItem.setStartAngle(self, angle * 16)

    def getStartAngle(self):
        return self._startAngle

    def setSpanAngle(self, angle):
        self._spanAngle = angle
        QGraphicsEllipseItem.setSpanAngle(self, angle * 16)

    def getSpanAngle(self):
        return self._spanAngle

    startAngle = property(getStartAngle, setStartAngle)
    spanAngle = property(getSpanAngle, setSpanAngle)
