#!/bin/sh

databases=`LANG=en_US.UTF8 sudo -u postgres psql -l`
occurrence=`echo $databases |grep -c 'dpi'`
if test $occurrence == 0 ; then
    echo "database dpi not found. Not deleting"
else
    echo "database dpi already exists. Deleting."
    lang=en_us.utf8 sudo -u postgres psql -c "DROP DATABASE dpi;"
fi

users=`LANG=en_US.UTF8 sudo -u postgres psql -c "\du"`
occurrence=`echo $users |grep -c 'dpi'`
if test $occurrence == 0 ; then
    echo "user dpi not found. Not deleting"
else
    echo "user dpi found. Deleting"
    lang=en_us.utf8 sudo -u postgres psql -c "DROP USER dpi;"
fi

