#!/usr/bin/python

from sys import exit
import psycopg2
import time
from random import choice

try:
    conn = psycopg2.connect(database='ulogd', user='dpi', host='localhost', password='R0t6U4GBYcUDz7aC')
except:
  print "We can't reach the database"
  exit()

cur = conn.cursor()

class_a = ['80', '87', '65', '209', '207', '74', '140', '193', '130', '91', '192']
class_b = ['168', '200', '189', '85', '189', '237', '1', '98', '222']
class_c = ['33', '35', '229', '188', '201', '229', '42', '6', '79', '193']

# fill src / dst
network = '192.168.33.'
src = []
dst = []
for i in xrange(255):
    ip_s = network + str(i)
    src.append(ip_s)

    ip_d = choice(class_a) + '.' + choice(class_b) + '.' + choice(class_c) + '.' + str(i)
    dst.append(ip_d)

oob_prefix = ['base.ip.tcp.ssh ',
              'base.ip.tcp.http',
              'base.ip.tcp.http.youtube',
              'base.ip.tcp.http.wikipedia',
              'base.ip.tcp.http.yahoo',
              'base.ip.tcp.http.google',
              'base.ip.tcp.ssl',
              'base.ip.tcp.ssl.imaps',
              'base.ip.tcp.ssl.https',
              'base.ip.tcp.netbios.smb',
              'base.ip.tcp.established',
              'base.ip.tcp.unknown',
              'base.ip.tcp.cotp.mcs.rdp',
             ]

proto_path = [[3,81,205],
             [3,81,205,4],
             [3,81,205,22],
             [3,81,205,22,112,159],
             [3,81,205,42],
             [3,81,205,45],
             [3,81,205,46],
             [3,81,205,67],
             [3,81,205,67,51],
             [3,81,205,67,54],
             [3,81,205,67,57],
             [3,81,205,67,84],
             [3,81,205,67,120],
             [3,81,205,67,181],
             [3,81,205,67,191],
             [3,81,205,67,195],
             [3,81,205,67,199,4],
             [3,81,205,67,222],
             [3,81,205,67,240],
             [3,81,205,67,244],
             [3,81,205,67,247],
             [3,81,205,67,248],
             [3,81,205,67,262],
             [3,81,205,67,273],
             [3,81,205,67,297],
             [3,81,205,67,304],
             [3,81,205,67,305],
             [3,81,205,67,311],
             [3,81,205,67,318],
             [3,81,205,67,330],
             [3,81,205,94],
             [3,81,205,100],
             [3,81,205,126],
             [3,81,205,129,185],
             [3,81,205,186],
             [3,81,205,198],
             [3,81,205,199,4],
             [3,81,205,199,68],
             [3,81,205,199,76],
             [3,81,205,203],
             [3,81,205,220],
             [3,81,205,237],
             ]

time_offset = 10
start_time = int(time.time())
max_pckts = 122388
min_pckts = 1
max_bytes = 123655484
min_bytes = 40
min_flows = 0
max_flows = 107

for row in xrange(14000):
    if row % 10 == 0:
        start_time += 10

    t_start = int(start_time)
    t_end = t_start + time_offset
    dst_ = choice(dst)
    src_ = choice(src)
    dport = choice(xrange(65535))
    proto_path_ = choice(proto_path)

    l3_proto = proto_path_[2] if len(proto_path_) > 2 else 0
    l4_proto = proto_path_[3] if len(proto_path_) > 3 else 0
    l5_proto = proto_path_[4] if len(proto_path_) > 4 else 0

    ct_pckts = choice(xrange(min_pckts, max_pckts))
    ct_bytes = choice(xrange(min_bytes, max_bytes))
    ct_flows = choice(xrange(min_flows, max_flows))
    ip_protocol = choice(xrange(333))

    cur.execute("""INSERT INTO dpi(t_start, t_end, ip_saddr_str, ip_daddr_str, tcp_dport, l3_proto, l4_proto, l5_proto, ct_pckts, ct_bytes, ct_flows, proto_path)
                   VALUES('%d'::BIGINT, '%d'::BIGINT, '%s', '%s', '%d', '%d', '%d', '%d', '%d'::BIGINT,'%d'::BIGINT, '%d'::BIGINT,'{%s}')""" % (t_start, t_end, src_, dst_, dport, l3_proto, l4_proto, l5_proto, ct_pckts, ct_bytes, ct_flows, ",".join('%s' % val for val in proto_path_)) )
    conn.commit()

    src_ = choice(src)
    dst_ = choice(dst)
    dport = choice(xrange(65535))
    prefix = choice(oob_prefix)

    cur.execute("""INSERT INTO dropped_users(oob_time_sec, ip_saddr_str, ip_daddr_str, ip_protocol, tcp_sport, tcp_dport, oob_prefix)
                    VALUES('%d'::BIGINT, '%s'::inet, '%s'::inet, %d, %d, %d, '%s')""" % (t_start, src_, dst_, ip_protocol, dport, dport * t_start % 65535, prefix))
    conn.commit()

cur.close()
conn.close()



