#coding: utf-8
"""
Copyright (C) 2009-2011 EdenWall Technologies

This file is part of NuFirewall. 
 
 NuFirewall is free software: you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation, version 3 of the License. 
 
 NuFirewall is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with NuFirewall.  If not, see <http://www.gnu.org/licenses/>
"""


COMPRESS = 'gz'

ARCHIVE_PREFIX = 'archive'
DELETED_FILENAME = 'deleted'
MANIFEST_FILENAME = 'manifest'

# White list of files that can be exported / imported by nurestore
AUTHORIZED_STARTS = set("""
/etc/dhcp3/dhcpd-custom.conf
/etc/ipsec.secrets
/etc/nucentral/nucentral.conf
/etc/nucentral/ca.pem
/etc/nucentral/cert.pem
/etc/nucentral/crl.pem
/etc/nucentral/key.pem
/etc/nufw/certs
/etc/nufw/nuauth.keytab
/etc/openvpn
/etc/quagga
/var/lib/nucentral
/var/lib/nucentral/nuconf/FINGERPRINT_CREATED
/var/lib/nucentral/nuconf/nuauth_localsid
/var/lib/nucentral/nuconf/secrets.tdb.bak
/var/lib/nucentral/nuconf/winbindd_idmap.tdb.bak
/var/lib/nucentral/nudpi_filters.xml
/var/lib/nuface3
/var/lib/samba/winbindd_idmap.tdb
/var/lib/samba/secrets.tdb
""".split())

