import subprocess

def gen_cert_kit(args):
    proc=subprocess.Popen("./my_gen_certs.sh %s %s %s %s %s %s %s"%(args), shell=True)
    proc.wait()

proc=subprocess.Popen("killall deloreand", shell=True)
proc.wait()
proc=subprocess.Popen("deloreand -d",shell=True)
proc.wait()
proc=subprocess.Popen("docbrown localhost day=8000",shell=True)
proc.wait()

dic1 = { "vvvcvcv":"[valid] certs signed by CA",
        "vvvcvsv":"[valid] user cert signed by CA, server cert signed by subCA",

        "avvcvcv":"not valid anymore ca",
        "ovvcvcv":"not yet valid ca",

        "vavcvcv":"[valid] not valid anymore subca, certs signed by CA",
        "vovcvcv":"[valid] not yet valid subca, certs signed by CA",
        "vrvcvcv":"[valid] revoked subca, certs signed by CA",

        "vavsvcv":"not valid anymore subca, user cert signed by subCA, server cert signed by CA",
        "vovcvsv":"not yet valid subca, user cert signed by CA, server cert signed by subCA",
        "vrvsvcv":"revoked subca, user cert signed by subCA, server cert signed by CA",

        "vvocvcv":"not valid anymore user cert",
        "vvacvcv":"not yet valid user cert",
        "vvrcvcv":"revoked user cert",

        "vvvcacv":"not valid anymore server cert",
        "vvvcocv":"not yet valid server cert",
        "vvvcrcv":"revoked server cert",

        "vvvcasv":"not valid anymore server cert",
        "vvvcosv":"not yet valid server cert",
        "vvvcrsv":"revoked server cert",

        "vvvcvca":"[valid] not valid anymore crl, no certs revoked",
        "vvvcvco":"[valid] not yet valid crl, no certs revoked",
        "vvrcvca":"[valid] not valid anymore crl, user cert revoked",
        "vvvcrco":"[valid] not yet valid crl, server cert revoked"
}

dic2 = { "v_vcvcv":"[valid] certs signed by CA",

        "a_vcvcv":"not valid anymore ca",
        "o_vcvcv":"not yet valid ca",

        "v_vcvcv":"[valid] not valid anymore subca, certs signed by CA",
        "v_vcvcv":"[valid] not yet valid subca, certs signed by CA",
        "v_vcvcv":"[valid] revoked subca, certs signed by CA",

        "v_ocvcv":"not valid anymore user cert",
        "v_acvcv":"not yet valid user cert",
        "v_rcvcv":"revoked user cert",

        "v_vcacv":"not valid anymore server cert",
        "v_vcocv":"not yet valid server cert",
        "v_vcrcv":"revoked server cert",

        "v_vcvca":"[valid] not valid anymore crl, no certs revoked",
        "v_vcvco":"[valid] not yet valid crl, no certs revoked",
        "v_rcvca":"[valid] not valid anymore crl, user cert revoked",
        "v_vcrco":"[valid] not yet valid crl, server cert revoked"
}

#for case in dic1.keys():
#    gen_cert_kit((case[0],case[1],case[2],case[3],case[4],case[5],case[6]))

for case in dic2.keys():
    gen_cert_kit((case[0],case[1],case[2],case[3],case[4],case[5],case[6]))
