#!/bin/bash

IFS=$'\n'

function check_code()
{
	read line
	_COM=${line// */}
	COM="$(echo "$_COM" | tr -d $'\n' | tr -d $'\r')"
	if [ "$1" != "$COM" ]
	then
		exit 1
	fi

}

check_code "220"
echo "HELO test.edenwall.com"
check_code "250"
echo "MAIL FROM:test@edenwall.com"
check_code "250"
echo "RCPT TO:test@edenwall.com"
check_code "250"
echo "DATA"
check_code "354"
echo "Test"
echo "."
check_code "250"
echo  QUIT
check_code "221"

