#!/bin/bash

SECRET="REMOVE_COMPLETLY_NUCENTRAL"

set -e

# Comment the following lines if you really understand what you are going to do
if [ "x$USER" != "xhaypo" ]; then
   echo "Sorry, you're not crazy enough to remove all nucentral files"
   exit 1
fi

if [ "x$1" != "x$SECRET" ]; then
    echo "You have to run this script with the secret:"
    echo "  $0 $SECRET"
    exit 1
fi

cd $(dirname $0)
cd $(pwd -P)

set -x
sudo rm -rf /var/lib/nucentral /usr/share/nucentral
sudo rm -f /var/lib/nuface3/{production_ruleset,last_ruleset}.xml

sudo ./install_dev.sh ~/inl
(cd .. && git checkout $(find -name "*.ts"))
sudo rm -f /var/lib/nucentral/mods-enabled/{license,system_info,squidguard,exim}
