#!/bin/sh

# Tell IP address and interface to connect to.

export LANG=C

interfaces=$(/sbin/ifconfig | grep "^eth" | awk '{print $1}')
for interface in $interfaces; do
    ip=$(/sbin/ifconfig $interface | grep "ad\+r:" | awk '{print $2}' | cut -d ":" -f2)
    if [ -n "$ip" ]; then
        echo $ip $interface
        exit 0
    fi
done
exit 5
