#!/usr/bin/env python
# -*- coding: utf-8 -*-

from imp import load_source
from os import path
from sys import argv

CLASSIFIERS = [
    'Intended Audience :: Developers',
    'Development Status :: 4 - Beta',
    'License :: OSI Approved :: GNU General Public License (GPL)',
    'Operating System :: OS Independent',
    'Natural Language :: English',
    'Programming Language :: Python',
]

PACKAGES = (
    'edenwall_snmp',
    'edenwall_snmp.ext',
)

def main():
    if "--setuptools" in argv:
        argv.remove("--setuptools")
        from setuptools import setup
        use_setuptools = True
    else:
        from distutils.core import setup
        use_setuptools = False

    install_options = {
        "name": "edenwall-snmp",
        "version": "0.1",
        "url": "http://www.edenwall.com",
        "license": "None",
        "author": "Pierre Chifflier",
        "description": "EdenWall SNMP handler",
        "classifiers": CLASSIFIERS,
        "packages": PACKAGES,
        "scripts": ("edenwall-snmp",),
    }
    #if use_setuptools:
    #    install_options["install_requires"] = ["IPy>=0.42"]
    setup(**install_options)

if __name__ == "__main__":
    main()

