_distpackages = {
        'ldap': 'python-ldap',
        'nucentral.common': 'nucentral-common',
        }
_missing = []
import sys

def checkdeps():
    try:
        import ldap
    except ImportError:
        _missing.append('ldap')

    try:
        import nucentral.common
    except ImportError:
        _missing.append('nucentral.common')

    if _missing:
        for item in _missing:
            print "Could not import '%s'. You may want to install '%s' " \
                "or set PYTHONPATH." % (item, _distpackages[item])
        sys.exit(2)

