"""
Test of a 2003 AD NND configuration (implementing TemplateNND)

Copyright (C) 2009-2011 EdenWall Technologies
Written by Julien Miotte <jmiotte AT edenwall.com>
"""

from templateNND import TemplateNND

class TestNND2003(TemplateNND):
    conf_filename = "testNND2003.conf"
    user = "cornelius"
    domain = "win2003.edenwall.com"
    password = "1pas2+abc"
    user_groups = (u'Domain Users@win2003.edenwall.com',
                   u'T\xe9\xe7t\xeb\xfbrs@win2003.edenwall.com',
                   u'win2003.Testers@win2003.edenwall.com',
                   u'172.17.1.1@win2003.edenwall.com',
                   u'Testers@win2003.edenwall.com',
                   u'Remote Desktop Users@win2003.edenwall.com')
    groups = (
        u'DnsAdmins@win2003.edenwall.com',
        u'Domain Admins@win2003.edenwall.com',
        u'Domain Computers@win2003.edenwall.com',
        u'Domain Controllers@win2003.edenwall.com',
        u'Domain Users@win2003.edenwall.com',
        u'Schema Admins@win2003.edenwall.com',
    )

