#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Copyright (C) 2008-2011 EdenWall Technologies
Written by Romain Bignon <romain AT inl.fr>

This file is part of NuFirewall. 
 
 NuFirewall is free software: you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation, version 3 of the License. 
 
 NuFirewall is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with NuFirewall.  If not, see <http://www.gnu.org/licenses/>

$Id: nudpi-qt.py 19639 2010-04-20 12:40:31Z ft $
"""

from sys import exit,path
path.append('.')
from nucentral.qt.application import create_nucentral_application

if __name__ == "__main__":

    app, client = create_nucentral_application(
        name="nudpi",
        resource="nudpi.rcc",
        locale=":/nudpi/locale/nudpi")

    from nucentral.qt.central_window import STANDALONE
    from nudpi.client.qt.nudpi_window import DPIWindow
    window = DPIWindow(app, client, standalone=STANDALONE)
    window.load()
    window.show()
    exit(app.exec_())
