color_association = {
                     'ip' : 'grey',
                     'tcp' : 'light_grey',
                     'http' : 'green',
                     'ssl' : 'light_blue',
                     'ssh' : 'orange',
                     'unknown' : 'grey_brown',

                     'peer2peer' : 'light_red',
                     'web_proxy' : 'light_red',
                     'web' : 'dark_green',
                     'qosmos' : 'grey',
                     'webmail' : 'dark_green',
                     'application' : 'black_green',
                     'audio_video' : 'orange',
                     'encrypted' : 'dark_blue',
                     'database' : 'grey',
                     'instant_messaging' : 'orange',
                     'non_classified' : 'grey_brown',
                    }
db_association = {
                   0 : "root",
                   3 : "base",
                   4 : "unknown",
                   5 : "malformed",
                   6 : "incomplete",
                   7 : "8021q",
                   8 : "aim",
                   9 : "amqp",
                   10 : "apollo",
                   11 : "arp",
                   12 : "atalk",
                   13 : "bgp",
                   15 : "bittorrent",
                   16 : "bxml",
                   17 : "ccp",
                   18 : "cdp",
                   19 : "cgmp",
                   20 : "chap",
                   21 : "comp",
                   22 : "cotp",
                   23 : "cstrike",
                   24 : "cups",
                   25 : "dailymotion",
                   26 : "dcerpc",
                   28 : "dec",
                   29 : "dhcp",
                   30 : "dict",
                   31 : "directconnect",
                   32 : "dns",
                   33 : "dtp",
                   34 : "ebay",
                   35 : "edonkey",
                   36 : "eigrp",
                   37 : "epm",
                   42 : "established",
                   43 : "eth",
                   44 : "etherip",
                   45 : "ftp",
                   46 : "ftp_data",
                   48 : "garp",
                   49 : "giop",
                   50 : "gizmo",
                   51 : "gmail",
                   52 : "gnutella",
                   53 : "goboogy",
                   54 : "google",
                   55 : "google_earth",
                   56 : "google_groups",
                   57 : "google_maps",
                   58 : "gre",
                   59 : "gtp",
                   60 : "h225",
                   61 : "h245",
                   65 : "hpellc",
                   66 : "hsrp",
                   67 : "http",
                   68 : "https",
                   69 : "ica",
                   70 : "icmp",
                   71 : "icmp6",
                   73 : "ident",
                   74 : "igmp",
                   75 : "imap",
                   76 : "imaps",
                   77 : "imp",
                   81 : "ip",
                   82 : "ip6",
                   83 : "ipcp",
                   84 : "ipp",
                   85 : "ipsec",
                   86 : "ipv6cp",
                   87 : "ipx",
                   88 : "ipxrip",
                   89 : "ipxsap",
                   90 : "irc",
                   91 : "ircs",
                   92 : "isakmp",
                   93 : "isl",
                   94 : "jabber",
                   95 : "jetdirect",
                   96 : "kazaa",
                   97 : "krb5",
                   98 : "l2tp",
                   99 : "lcp",
                   100 : "ldap",
                   101 : "ldaps",
                   104 : "llc",
                   105 : "loadbalan",
                   106 : "loop",
                   107 : "lotusnotes",
                   108 : "lpr",
                   109 : "lqr",
                   110 : "mapi",
                   111 : "mcafee",
                   112 : "mcs",
                   113 : "mgcp",
                   114 : "mipv6",
                   115 : "mms",
                   116 : "mmse",
                   118 : "mount",
                   119 : "mpls",
                   120 : "msn",
                   121 : "msn_groups",
                   122 : "msn_search",
                   123 : "msn_video",
                   124 : "mute",
                   125 : "myspace",
                   126 : "mysql",
                   127 : "narp",
                   128 : "nbns",
                   129 : "netbios",
                   130 : "netflow",
                   131 : "nfs",
                   132 : "nlockmgr",
                   133 : "nlsp",
                   134 : "nntp",
                   135 : "nntps",
                   136 : "nspi",
                   137 : "ntp",
                   138 : "openft",
                   139 : "osinl",
                   140 : "ospf",
                   141 : "owa",
                   142 : "paltalk",
                   143 : "paltalk_audio",
                   144 : "pap",
                   145 : "pim",
                   147 : "pop3",
                   148 : "pop3s",
                   149 : "portmap",
                   150 : "postgres",
                   151 : "ppp",
                   152 : "pppoe",
                   153 : "pptp",
                   154 : "q931",
                   156 : "qq",
                   157 : "quake",
                   158 : "radius",
                   159 : "rdp",
                   160 : "rdt",
                   161 : "rfb",
                   162 : "rip1",
                   163 : "rip2",
                   164 : "ripng1",
                   165 : "rlogin",
                   166 : "rlp",
                   167 : "rpc",
                   168 : "rpl",
                   169 : "rquota",
                   170 : "rsh",
                   171 : "rstat",
                   172 : "rsvp",
                   173 : "rsync",
                   174 : "rtcp",
                   175 : "rtp",
                   176 : "rtsp",
                   177 : "rusers",
                   178 : "sap",
                   179 : "sccp",
                   180 : "sctp",
                   181 : "shoutcast",
                   182 : "sip",
                   183 : "skype",
                   184 : "slsk",
                   185 : "smb",
                   186 : "smtp",
                   187 : "smtps",
                   188 : "sna",
                   189 : "snap",
                   190 : "snmp",
                   191 : "soap",
                   192 : "socks4",
                   193 : "socks5",
                   194 : "sonmp",
                   195 : "squirrelmail",
                   196 : "srvloc",
                   197 : "ssdp",
                   198 : "ssh",
                   199 : "ssl",
                   200 : "stp",
                   201 : "stun",
                   202 : "sync",
                   203 : "synflood",
                   204 : "syslog",
                   205 : "tcp",
                   207 : "tdcollect",
                   208 : "tds",
                   209 : "telnet",
                   210 : "telnets",
                   211 : "tftp",
                   212 : "tibcordv",
                   213 : "tns",
                   214 : "tnvip",
                   215 : "ucp",
                   216 : "udp",
                   217 : "vines",
                   218 : "vjc_comp",
                   219 : "vjc_uncomp",
                   220 : "vmware",
                   221 : "vrrp",
                   222 : "wikipedia",
                   223 : "winmx",
                   224 : "wsp",
                   225 : "wtls",
                   226 : "wtp",
                   227 : "x11",
                   228 : "x25",
                   229 : "xmlrpc",
                   230 : "xns",
                   231 : "xot",
                   232 : "xyplex",
                   233 : "yahoo_groups",
                   234 : "yahoo_search",
                   236 : "ymail2",
                   237 : "ymsg",
                   238 : "ymsg_conf",
                   239 : "ymsg_video",
                   240 : "youtube",
                   241 : "yppasswd",
                   242 : "ypserv",
                   243 : "ypupdate",
                   244 : "facebook",
                   245 : "aim_transfer",
                   246 : "maktoob",
                   247 : "google_ads",
                   248 : "doubleclick_ads",
                   250 : "secondlife",
                   251 : "mpegts",
                   252 : "paltalk_transfer",
                   255 : "ymsg_transfer",
                   256 : "cft",
                   258 : "msnmobile",
                   259 : "ymail_classic",
                   260 : "jabber_transfer",
                   261 : "groove",
                   262 : "live_hotmail",
                   263 : "gmail_basic",
                   264 : "snpp",
                   265 : "orangemail",
                   266 : "2shared",
                   267 : "4shared",
                   268 : "bebo",
                   269 : "ebuddy",
                   270 : "laposte_webmail",
                   271 : "imesh",
                   272 : "ares",
                   273 : "gmail_chat",
                   274 : "thunder",
                   275 : "aim_express",
                   276 : "ymsg_webmessenger",
                   278 : "pando",
                   279 : "zattoo",
                   280 : "gmail_mobile",
                   281 : "aims",
                   283 : "ask",
                   284 : "live",
                   285 : "tagged",
                   286 : "yahoo_answers",
                   287 : "mpquest",
                   288 : "expedia",
                   289 : "southwest",
                   290 : "yahoo_maps",
                   291 : "travelocity",
                   292 : "yahoo_travel",
                   293 : "realtor",
                   295 : "yahoo_biz",
                   296 : "officedepot",
                   297 : "wordpress",
                   298 : "windowslive",
                   299 : "yahoo_geocities",
                   300 : "flickr",
                   301 : "hi5",
                   302 : "skyrock",
                   303 : "trombi",
                   304 : "viadeo",
                   305 : "linkedin",
                   306 : "apple",
                   307 : "pogo",
                   308 : "yahoo_games",
                   309 : "runescape",
                   310 : "deezer",
                   311 : "zimbra",
                   312 : "mq",
                   313 : "rapidshare",
                   314 : "megaupload",
                   315 : "zshare",
                   316 : "fileflyer",
                   317 : "sendspace",
                   318 : "rambler",
                   319 : "perfspot",
                   320 : "friendster",
                   321 : "tchatche",
                   322 : "netlog",
                   323 : "skyblog",
                   324 : "pcanywhere",
                   325 : "zimbra_standard",
                   326 : "mimp",
                   327 : "livemail_mobile",
                   328 : "ymail_mobile",
                   329 : "dimp",
                   330 : "ocsp",
                   331 : "pplive",
                   332 : "ymail_mobile_new",
                   333 : "yahoo_realestate",
                   334 : "mailru",
                   335 : "live_groups",
                   336 : "openvpn",
                   337 : "rtmp",
                   338 : "gougou",
                   339 : "steam",
                   340 : "wow",
                   342 : "xboxlive",
                   343 : "gadugadu",
                   344 : "isup",
                   345 : "pwe",
                   346 : "zelune",
                   347 : "vtunnel",
                   348 : "proxono",
                   349 : "proxeasy",
                   350 : "megaproxy",
                   351 : "kproxy",
                   352 : "bypassthat",
                   353 : "avoidr",
                   354 : "surrogafier",
                   None : "",

                     # Protocols Family
                    400 : 'application',
                    401 : 'audio_video',
                    402 : 'authentication',
                    403 : 'compression',
                    404 : 'database',
                    405 : 'encrypted',
                    406 : 'erp',
                    407 : 'file_server',
                    408 : 'file_transfer',
                    409 : 'game',
                    410 : 'instant_messaging',
                    411 : 'mail',
                    412 : 'ms_office',
                    413 : 'middleware',
                    414 : 'net_manager',
                    415 : 'net_service',
                    416 : 'non_classified',
                    417 : 'peertopeer',
                    418 : 'printer',
                    419 : 'routing',
                    420 : 'security',
                    421 : 'telephony',
                    422 : 'terminal',
                    423 : 'thin_client',
                    424 : 'tunneling',
                    425 : 'wap',
                    426 : 'web',
                    427 : 'webmail',
                    428 : 'web_proxy',
                    429 : 'groups',
                  }



