"""
Copyright (C) 2009-2011 EdenWall Technologies
Written by Sebastien Tricaud <stricaud AT inl.fr>

This file is part of NuFirewall. 
 
 NuFirewall is free software: you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation, version 3 of the License. 
 
 NuFirewall is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with NuFirewall.  If not, see <http://www.gnu.org/licenses/>

$Id: error.py 8636 2009-06-03 11:45:44Z haypo $
"""
from nucentral.common.error import NUPKI
from nucentral.backend import ComponentError

# nupki component codes
NUPKI_ERROR = 1
NUPKI_DB = 2

class NuPKIError(ComponentError):
    def __init__(self, *args, **kw):
        ComponentError.__init__(self, NUPKI, NUPKI_ERROR, *args, **kw)

