#!/bin/bash

echo 220 test.edenwall.com ESMTP TestMail

IFS=$'\n'
while read line
do
	_COM=${line//:*/}
	__COM=${line// */}
	COM="$(echo "$__COM" | tr -d $'\n' | tr -d $'\r')"

	case "$COM" in
	"HELO")		echo "250 Hello www.edenwall.com, I am glad to meet you" ;;
	"EHLO")		echo "250 Hello www.edenwall.com, I am glad to meet you" ;;
	"MAIL")	echo "250 Ok" ;;
	"RCPT")	echo "250 Ok" ;;
	"DATA")		echo "354 Enter message, ending with "." on a line by itself.." ;;
	".")		echo "250 Ok" ;;
	"QUIT")		echo "221 host. closing connection."; sleep 1;exit 0 ;;
	*) 	echo $line > "$1" ; echo $line > /dev/stderr ; ;;
	esac


done

