#!/usr/bin/python

from urllib2 import build_opener
import sys
import time

# Usage: loop_get.py <number of GETs to make> <URL>

default_url = "http://172.22.0.10/"
default_times = 10

def main(times, url):
    print time.ctime()
    start_time = time.time()
    print "Making %d GETs to %s" % (times, url)
    opener = build_opener()
    for i in xrange(times):
        try:
            if not opener.open(url):
                print "Error for the GET #%d. Exiting." % (i + 1)
                break
        except Exception, err:
            print "Error for the GET #%d (%s). Exiting." % ((i + 1), err)
            break
    end_time = time.time()
    seconds_elapsed = end_time - start_time
    print "%d GETs done in %.2f seconds." % ((i + 1), seconds_elapsed)
    print "%.2f GETs/s" % (float(i) / seconds_elapsed)
    print time.ctime()

if __name__ == "__main__":
    try:
        times = int(sys.argv[1])
    except Exception:
        times = default_times
    try:
        url = sys.argv[2]
    except IndexError:
        url = default_url
    main(times, url)
