#!/bin/sh
src_dir=$(cd $(dirname $0)/..; pwd -P)
var_dir=/var/lib/nucentral
nupki_db=$var_dir/nupki2/certs.db
SECRET="REMOVE_COMPLETLY_NUPKI"

if [ "x$1" != "x$SECRET" ]; then
    echo "You have to run this script with the secret:"
    echo "  $0 $SECRET"
    exit 1
fi

set -e
set -x

# Recreate an empty /var/lib/nucentral/nupki2 directories
rm -rf $var_dir/nupki2
mkdir -p $var_dir/nupki2
ln -svn $src_dir/nupki/nupki/templates/ $var_dir/nupki2/templates

# Create a new empty DB
sqlite3 $nupki_db < $src_dir/nupki/sql/sqlite.sql
