#!/bin/bash

SECRET="REMOVE_COMPLETLY_NUCENTRAL"

set -e

# Comment the following lines if you really understand what you are going to do
if [ "x$USER" != "xhaypo" ]; then
   echo "Sorry, you're not crazy enough to remove all nucentral files"
   exit 1
fi

if [ "x$1" != "x$SECRET" ]; then
    echo "You have to run this script with the secret:"
    echo "  $0 $SECRET"
    exit 1
fi

cd $(dirname $0)
cd $(pwd -P)

DIRS="/etc/nucentral /usr/share/nucentral /var/lib/nucentral /var/lib/nuface3"

set -x
for dir in $DIRS; do
    OLD="$dir.old"
    if [ -e "$dir" -a -e "$OLD" ]; then
        echo "$OLD already exist!"
        exit 1
    fi
done
for dir in $DIRS; do
    if [ -e "$dir" ]; then
        sudo mv "$dir" "$dir.old"
    fi
done
sudo ./create_link.py ~/inl uninstall

